org.modeshape.common.i18n

## Class TextI18n

- java.lang.Object
- - org.modeshape.common.i18n.TextI18n

- All Implemented Interfaces:
    I18nResource

      public final class TextI18n
      extends Object
      implements I18nResource

  A pass-through implementation of `I18nResource` which uses an underlying text as the real value, ignoring any kind of internationalization.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `TextI18n(String text)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `text(Locale locale, Object... arguments)` Get the localized text for the supplied locale, replacing the parameters in the text with those supplied.
    `String` | `text(Object... arguments)` Get the localized text for the `current (default) locale`, replacing the parameters in the text with those supplied.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### TextI18n

          public TextI18n(String text)

  - ### Method Detail

    - #### text

          public String text(Object... arguments)

      Description copied from interface: `I18nResource`
      Get the localized text for the `current (default) locale`, replacing the parameters in the text with those supplied.
      Specified by:
        `text` in interface `I18nResource`
      Parameters:
        `arguments` - the arguments for the parameter replacement; may be `null` or empty
      Returns:
        the localized text

    - #### text

          public String text(Locale locale,
                    Object... arguments)

      Description copied from interface: `I18nResource`
      Get the localized text for the supplied locale, replacing the parameters in the text with those supplied.
      Specified by:
        `text` in interface `I18nResource`
      Parameters:
        `locale` - the locale, or `null` if the `current (default) locale` should be used
        `arguments` - the arguments for the parameter replacement; may be `null` or empty
      Returns:
        the localized text

Copyright © 2008-2014 JBoss, a division of Red Hat. All Rights Reserved.